// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or vendor/assets/javascripts of plugins, if any, can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// the compiled file.
//
// WARNING: THE FIRST BLANK LINE MARKS THE END OF WHAT'S TO BE PROCESSED, ANY BLANK LINE SHOULD
// GO AFTER THE REQUIRES BELOW.
//
//= require jquery
//= require jquery_ujs

function size_image_blocks(){
	height = $(window).height();
	
		
	$('.image_block').css("height", height+"px");
};




function preload(arrayOfImages) {
    $(arrayOfImages).each(function(){
        (new Image()).src = this;
   	 	
    });
}



var dpr = 1;
if(window.devicePixelRatio !== undefined) dpr = window.devicePixelRatio;

$(document).ready(function(){
	
	
	
	
	
	
	
	
	size_image_blocks();
		
	$(window).bind('resize',function(){
		size_image_blocks();
		
	});
	
	
	$('.miniatures').click(function (){
	
		$("#small_index").toggleClass("active");
	});
	$(document).keydown(function(e){
	    if (e.keyCode == 37) { 
	       $("#prev").click();
	       return false;
	    }
	    if (e.keyCode == 39) { 
	       $("#next").click();
	       return false;
	    }
	});
	
	
	

	


});

